package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 卖家仓库表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvSellerWarehouseDao;
import com.heyu.api.data.entity.vv.VvSellerWarehouseEntity;
import com.heyu.api.data.service.vv.VvSellerWarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvSellerWarehouseServiceImpl extends ServiceImpl<VvSellerWarehouseDao, VvSellerWarehouseEntity> implements VvSellerWarehouseService {


    @Autowired
	private VvSellerWarehouseDao vvSellerWarehouseDao;



	@Override
	public VvSellerWarehouseEntity selectVvSellerWarehouseById(Long id){
		return vvSellerWarehouseDao.selectVvSellerWarehouseById(id);
	}



	@Override
	public Long insertVvSellerWarehouse(VvSellerWarehouseEntity vvSellerWarehouse){
		return vvSellerWarehouseDao.insertVvSellerWarehouse(vvSellerWarehouse);
	}



	@Override
	public Long insertOrUpdateVvSellerWarehouse(VvSellerWarehouseEntity vvSellerWarehouse){
		return vvSellerWarehouseDao.insertOrUpdateVvSellerWarehouse(vvSellerWarehouse);
	}



	@Override
	public int updateVvSellerWarehouseById(VvSellerWarehouseEntity vvSellerWarehouse){
		return vvSellerWarehouseDao.updateVvSellerWarehouseById(vvSellerWarehouse);
	}



	@Override
	public int updateCoverVvSellerWarehouseById(VvSellerWarehouseEntity vvSellerWarehouse){
		return vvSellerWarehouseDao.updateCoverVvSellerWarehouseById(vvSellerWarehouse);
	}



	@Override
	public int deleteVvSellerWarehouseById(Long id){
		return vvSellerWarehouseDao.deleteVvSellerWarehouseById(id);
	}



}
